local E, L, V, P, G = unpack(ElvUI)
local Tuk = E:GetModule("Tuk_Style")
local UF = E:GetModule('UnitFrames');

function Tuk:Options()
	E.Options.args.general.args.general.args.pixelPerfect.disabled = true
	E.Options.args.general.args.general.args.bottomPanel.disabled = true
	E.Options.args.unitframe.args.general.args.generalGroup.args.thinBorders.disabled = true
	E.Options.args.datatexts.args.panels.args.leftChatPanel.disabled = true
	E.Options.args.datatexts.args.panels.args.rightChatPanel.disabled = true
	E.Options.args.datatexts.args.general.args.generalGroup.args.panelTransparency.disabled = true

	E.Options.args.TukUIStyle = {
		type = "group",
		name = "|cffff8000TukUI Style|r",
		order = 60,
		args = {
			installButton = {
				order = 1,
				type = 'execute',
				name = L['Install'],
				width = 'full',
				desc = L['Run the installation process.'],
				func = function() Tuk:Setup(); E:ToggleConfig(); end,
			},	
			actionbars = {
				order = 2,
				name = L["Fixed ActionBar 1"],
				desc = L["Will fix actionbar 1 to always be on botton line and make it immovable."],
				type = 'toggle',
				get = function(info) return E.private.tukui.actionbars end,
				set = function(info, value) E.private.tukui.actionbars = value; E:StaticPopup_Show("PRIVATE_RL") end
			},
			forcebordercolor = {
				order = 3,
				type = "execute",
				name = L["Force Border Color"],
				desc = L["Will reset border color on grey."],
				func = function()
					E.db.general.bordercolor = { r = 0.6,g = 0.6,b = 0.6 }
					E:UpdateMedia()
					E:UpdateBorderColors()
				end,
			},
		},
	}
end